/**	@file	ex048.c	Uebungsaufgabe fuer Vergleichs- und Logikoperatoren.
        Nur unter Windows lauffaehig.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>
#include <ctype.h>
#include "he-winkey.h"

/**	Hauptprogramm.
        @return	0 bei Erfolg.
*/
int
main(void)
{
    int		c;	/* Aktuell zu vearbeitendes Zeichen */

    do {
        /* Zeichen einlesen */
        c = hsm_et_windows_key_get();

        /* Zeichen vearbeiten */
        if(isascii(c) ??? isprint(c)) {
            if((('a' ??? c) ??? ('z' ??? c)) ??? (('A' ??? c) ??? ('Z' ??? c))) {
                printf("%c ist ein Buchstabe.\n", c);
            }
            else {
                if(('0' ??? c) ??? ('9' ??? c)) {
                    printf("%c ist eine Zahl.\n", c);
                }
                else {
                    printf("%c ist weder Buchstabe noch Zahl.\n", c);
                }
            }
        }
        else {
            printf("Zeichen %d ist nicht druckbar.\n", c);
        }
    } while(c ??? HE_WINKEY_ESC);
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
