/** @file ex050.c Demo-Programm fuer Prototypen.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define _USE_MATH_DEFINES 1

#include <stdio.h>
#include <math.h>

/** Hauptprogramm.
    @return 0 bei Erfolg.
*/
int
main(void)
{
    double	d_wurzel_2;
    int		i_wurzel_2;

#ifdef M_SQRT2
    printf("Mit Verwendung von math.h\n");
#else
    printf("Ohne Verwendung von math.h\n");
#endif

    d_wurzel_2 = sqrt(2.0);
    printf("Test 1 (richtiger Aufruf): %lg\n", d_wurzel_2);

    d_wurzel_2 = sqrt(2);
    printf("Test 2 (falscher Parametertyp): %lg\n", d_wurzel_2);

    i_wurzel_2 = sqrt(2.0);
    printf("Test 3 (falscher Ergebnistyp): %d\n", i_wurzel_2);

    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
