/** @file   ex056.c Beispielprogramm fuer Zeiger auf Strukturen.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>

/**	Ein geometrischer Punkt.
*/
typedef struct {
    double  x;	/**< X-Koordinate. */
    double  y;	/**< Y-Koordinate. */
} PUNKT;

/**	Eine Linie.
*/
typedef struct {
    PUNKT	P0;		/**< Anfangspunkt. */
    PUNKT	P1;		/**< Endpunkt. */
} LINIE;

/** Hauptprogramm.
    @return 0 bei Erfolg.
*/
int
main(void)
{
    LINIE		 linie;		/* Variable, noch ohne Werte */
    LINIE		*pl;		/* Zeiger, soll auf linie zeigen */

    /* Initialisierung des Zeigers */
    pl = ???;

    /* Wertzuweisungen */
    pl ??? = 0.5;		/* x-Wert Anfangspunkt */
    pl ??? = 1.0;		/* y-Wert Anfangspunkt */
    pl ??? = 5.0;		/* x-Wert Endpunkt */
    pl ??? = 4.0;		/* y-Wert Endpunkt */

    /* Ausgabe mit Kurzschreibweise mit Operator -> */
    printf("X-Anfang: %lg\n", pl???);
    printf("Y-Anfang: %lg\n", pl???);
    printf("X-Ende:   %lg\n", pl???);
    printf("Y-Ende:   %lg\n", pl???);

    /* Ausgabe in langer Schreibweise mit Operator . */
    printf("X-Anfang: %lg\n", ???pl???);
    printf("Y-Anfang: %lg\n", ???pl??);
    printf("X-Ende:   %lg\n", ???pl???);
    printf("Y-Ende:   %lg\n", ???pl???);

    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
