/* Testprogramm zur Demonstration der while-Schleife */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define _CRT_SECURE_NO_WARNINGS 1
#include <stdio.h>

/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	double    anfgew; /* Anfangsgewicht in kg */
	double    endgew; /* Endgewicht in kg */
	double    aprowo; /* Gewichtsabnahme pro Woche in kg */
	double    jetztg; /* Jetziges Gewicht */
	int       wochen; /* Anzahl abgelaufener Wochen */

	printf("Anfangsgewicht in kg: ");
	scanf("%lg", &anfgew);
	printf("Endgewicht in kg: ");
	scanf("%lg", &endgew);
	printf("Gewichtsabnahme pro Woche in kg: ");
	scanf("%lg", &aprowo);
	if ((0.0 < anfgew) && (0.0 < endgew) && (anfgew >= endgew) && (0.0 < aprowo))
	{
		wochen = 0;
		jetztg = anfgew;
		while (jetztg > endgew) {
			wochen++;
			jetztg = jetztg - aprowo;
			printf("Gewicht nach %d Woche(n): %lg kg\n", wochen, jetztg);
		}
		printf("Es waren %d Salat-Wochen erforderlich.\n", wochen);
	}
	else
	{
		printf("FEHLER: Mindestens eine Eingabe ist nicht verwendbar!\n");
	}
	return 0;
}

/* vim: set ai sw=4 ts=4 : */
