/* Testprogramm mit Feld von String-Literalen */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>
#include <string.h>


/** Hilfetext, umfasst mehrere Zeilen.
*/
const char * const hilfe_text[] = {
	"Benutzung:",
	"----------",
	"copy Quelldatei Zieldatei",
	"",
	"Quelldatei   Name der Datei, die kopiert werden soll.",
	"Zieldatei    Name der Kopie, die erzeugt werden soll.",
	NULL
};


/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	const char * const *ptr;

	ptr = hilfe_text;
	while(*ptr) {
		printf("%s\n", *(ptr++));
	}
	fputc('\n', stdout);
	return 0;
}

/* vim: set ai sw=4 ts=4 : */
