/** @file   ex030.c Demonstrationsprogramm fuer Zugriff auf
	Kommandozeilen-Argumente.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include "he-conf.h"

#include <stdio.h>
#include <stdlib.h>
#if HAVE_UNISTD_H
#include <unistd.h>
#endif
#if HAVE_PROCESS_H
#include <process.h>
#endif


/** Hauptprogramm.
	@param  argc    Anzahl der Kommandozeilen-Argumente.
	@param  argv    Feld mit den Kommandozeilen-Argumenten.
	@return 0 bei Erfolg, alle anderen Werte zeigen Fehler an.
*/
int
main(int argc, char *argv[])
{
	int i;
	for (i = 0; i < argc; i++) {
		printf("Argument %2d = \"%s\"\n", i, argv[i]);
	}
	exit(0); return 0;
}

/* vim: set ai sw=4 ts=4 : */
