/* Testprogramm zur Demonstration der switch-Anweisung */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define _CRT_SECURE_NO_WARNINGS 1
#include <stdio.h>

/** Hauptprogramm.
    @return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
    int   note;   /* Note als Zahlenwert */

    printf("Geben Sie die Note ein (Zahlenwert 1...5): ");
    scanf("%d", &note);
    switch (note) {
        case 1: {
            printf("Sehr gut.\n");
        } break;
        case 2: {
            printf("Gut.\n");
        } break;
        case 3: {
            printf("Befriedigend.\n");
        } break;
        case 4: {
            printf("Genuegend.\n");
        } break;
        case 5: {
            printf("Ungenuegend. Pruefung nicht bestanden.\n");
        } break;
        case 6: {
            printf("Diese Note gibt es beim Studium nicht.\n");
            printf("In der Schule bedeutet diese Note: Besonders schlecht.\n");
        } break;
        default: {
            printf("Eine solche Note gibt es nicht!\n");
        } break;
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
