/* Testprogramm zur Demonstration von Zeigern */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include <stdio.h>


/** Die Klausurnoten mehrerer Studenten einer Seminargruppe.
*/
int notenliste[] = {
    1, 5, 3, 2, 1, 2, 2, 3
};


/** Anzahl Elemente im Feld notenliste.
*/
size_t sz_notenliste = sizeof(notenliste)/sizeof(int);


/** Hauptprogramm.
    @return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
    int       *notenzeiger = NULL;
    size_t     i;

    /* Auf Anfang des Feldes setzen */
    notenzeiger = notenliste;

    /* Fuer alle Elemente */
    for (i = 0; i < sz_notenliste; i++) {

        /* Note ausgeben */
        printf("Student %u hatte Note %d.\n", (unsigned)(i+1), *notenzeiger);

        /* Zeiger inkrementieren (weiterruecken) */
        notenzeiger++;
    }
    return 0;
}

/* vim: set ai sw=4 ts=4 expandtab : */
