/* Testprogramm zur Demonstration der do-while-Schleife */

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#define _CRT_SECURE_NO_WARNINGS 1
#include <stdio.h>

/** Hauptprogramm.
	@return 0 bei Erfolg, alle anderen Werte bedeuten Fehler.
*/
int
main(void)
{
	double    anfgew; /* Anfangsgewicht in kg */
	double    endgew; /* Endgewicht in kg */
	double    aprowo; /* Gewichtsabnahme pro Woche in kg */
	double    jetztg; /* Jetziges Gewicht */
	int       wochen; /* Anzahl abgelaufener Wochen */
  
	printf("Anfangsgewicht in kg: ");
	scanf("%lg", &anfgew);
	printf("Endgewicht in kg: ");
	scanf("%lg", &endgew);
	printf("Gewichtsabnahme pro Woche in kg: ");
	scanf("%lg", &aprowo);
	if ((0.0 < anfgew) && (0.0 < endgew) && (anfgew >= endgew) && (0.0 < aprowo)) {
		wochen = 0;
		jetztg = anfgew;
		do {
			wochen++;
			jetztg = jetztg - aprowo;
			printf("Gewicht nach %d Woche(n): %lg kg\n", wochen, jetztg);
		} while (jetztg > endgew);
		printf("Es wurden %d Salat-Wochen eingelendgewt.\n", wochen);
	}
	else {
		if (0.0 >= anfgew) {
			printf("FEHLER: Das Anfangsgewicht muss groesser als 0 sein!\n");
		}
		if (0.0 >= endgew) {
			printf("FEHLER: Das Endgewicht muss groesser als 0 sein!\n");
		}
		if (endgew > anfgew) {
			printf(
			"FEHLER: Das Endgewicht muss kleiner als das Anfangsgewicht sein!\n"
			);
		}
		if (0.0 >= aprowo) {
			printf(
			"FEHLER: Die Gewichtsabnahme pro Woche muss groesser als 0 sein!\n"
			);  
		}
	}
	return 0;
}

/* vim: set ai sw=4 ts=4 : */
