/**	@file   he-defs.h   Standardwerte fuer Konfigurationseinstellungen
	entsprechend POSIX.
*/

/* Copyright (C) 2014 - HS Schmalkalden. All rights reserved. */

#ifndef HE_POSIX_H_INCLUDED
/**	Protection against multiple inclusions. */
#define	HE_POSIX_H_INCLUDED	1


/**	Flag: Include-Datei io.h vorhanden.
*/
#define	HAVE_IO_H		0

/**	Flag: Include-Datei stddef.h vorhanden.
*/
#define	HAVE_STDDEF_H		0

/**	Flag: Include-Datei unistd.h vorhanden.
*/
#define	HAVE_UNISTD_H		1

/**	Flag: Include-Datei process.h vorhanden.
*/
#define	HAVE_PROCESS_H		0

/**	Flag: Include-Datei stdint.h vorhanden.
*/
#define	HAVE_STDINT_H		1

/**	Flag: Include-Datei inttypes.h vorhanden.
*/
#define	HAVE_INTTYPES_H		1

/**	Flag: Include-Datei limits.h vorhanden.
*/
#define	HAVE_LIMITS_H		1

/**	Flag: Include-Datei errno.h vorhanden.
*/
#define HAVE_ERRNO_H        1

/**	Flag: Include-Datei sys/types.h vorhanden.
*/
#define HAVE_SYS_TYPES_H    1

/**	Flag: Include-Datei sys/stat.h vorhanden.
*/
#define HAVE_SYS_STAT_H     1

/**	Flag: Include-Datei fenv.h vorhanden.
*/
#define HAVE_FENV_H         1

/**	Flag: Include-Datei float.h vorhanden.
*/
#define HAVE_FLOAT_H        1

/**	Flag: Include-Datei math.h vorhanden.
*/
#define HAVE_MATH_H         1

/**	Flag: Funktion strtol() vorhanden.
*/
#define HAVE_STRTOL         1

/**	Flag: Funktion strtoul() vorhanden.
*/
#define HAVE_STRTOUL        1

/** Flag: Funktion strdup() vorhanden.
*/
#define HAVE_STRDUP         1

/** Flag: Funktion _strdup() vorhanden.
*/
#define HAVE__STRDUP        0

#endif
/* HE_POSIX_H_INCLUDED */

/* vim: set ai sw=4 ts=4 expandtab : */

