/** @file   he-error.c  Funktionen zum Setzen/Loeschen von Fehlercodes.
*/

/* Copyright (C) 2014-2017 - HS Schmalkalden. All rights reserved. */

#include "he-conf.h"

#include <stdio.h>
#if HAVE_STDLIB_H
#include <stdlib.h>
#endif

#include "he-error.h"


/*  Fehlercode in Variable eintragen.
	Der neue Fehlercode wird nur eingetragen, falls noch kein
	Fehler vermerkt war.
	ptr Zeiger auf Fehlercode-Variable, darf NULL sein.
	ec  Einzutragender Fehlercode.
*/
void
hsm_et_error_set(int *ptr, int ec)
{
	if (NULL != ptr) {
		if (HE_ERROR_NONE == *ptr) {
			*ptr = ec;
		}
	}
}

/* vim: set ai sw=4 ts=4 : */

