
#if HAVE_CONFIG_H
#include "config.h"
#else
#define HAVE_MATH_H 1
#endif

#if HAVE_MATH_H
#include <math.h>
#endif

double
triangleArea(double a, double b, double c)
{
  double back = -1.0;
  double s;
  double v;
  s = 0.5 * (a + b + c);
  v = s * (s - a) * (s - b) * (s - c);
  if(v >= 0.0) {
    back = sqrt(v);
  }
  return back;
}

